org.appng.api.support

## Class ApplicationRequest.ApplicationPath

- java.lang.Object
- - org.appng.api.support.ApplicationRequest.ApplicationPath

- Enclosing class:
    ApplicationRequest

      public static class ApplicationRequest.ApplicationPath
      extends Object

  Helper class used to simplify include conditions for actions and datasources on a page.
  Registered as variable `PATH`, so conditions can look like

       <condition expression="${ PATH.starts('/create') }"/>

  or

       <condition expression="${ PATH.starts('/update/', itemId) }"/>

  All methods that can be used:
  - `matches(String... elements)`
  - `starts(String... elements)`
  - `ends(String... elements)`
  - `contains(String... elements)`
  - `isEqual(String... elements)`
  - `hasParam(String... params)`
  Since:
    1.21

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PATH_VAR`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `contains(String... elements)`
    `boolean` | `ends(String... elements)`
    `boolean` | `hasParam(String... variables)`
    `boolean` | `isEqual(String... elements)`
    `boolean` | `matches(String... elements)`
    `boolean` | `starts(String... elements)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### PATH_VAR

          public static final String PATH_VAR

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### hasParam

          public boolean hasParam(String... variables)

    - #### matches

          public boolean matches(String... elements)

    - #### starts

          public boolean starts(String... elements)

    - #### ends

          public boolean ends(String... elements)

    - #### contains

          public boolean contains(String... elements)

    - #### isEqual

          public boolean isEqual(String... elements)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.